## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface Role

All Superinterfaces:
  AuthorizationIdentifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  SybaseASERole

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.accesscontrol.impl.RoleImpl, SybaseASECatalogLocalRole, SybaseASECatalogRole, SybaseASERoleImpl

    public interface Role

extends AuthorizationIdentifier

A representation of the model object 'Role'. Reference: 5WD-02-Foundation-2002-12 4.34.3 Roles

The following features are supported:

- `Role Authorization`

See Also:
  `SQLAccessControlPackage.getRole()`

Method Summary
`org.eclipse.emf.common.util.EList` `getRoleAuthorization()` Returns the value of the 'Role Authorization' reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.AuthorizationIdentifier
`getDatabase, getGrantedPrivilege, getGrantedRoleAuthorization, getOwnedSchema, getReceivedPrivilege, getReceivedRoleAuthorization, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRoleAuthorization

    org.eclipse.emf.common.util.EList getRoleAuthorization()

  Returns the value of the 'Role Authorization' reference list. The list contents are of type `RoleAuthorization`. It is bidirectional and its opposite is '`Role`'.

  If the meaning of the 'Role Authorization' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Role Authorization' reference list.
  See Also:
    `SQLAccessControlPackage.getRole_RoleAuthorization()`, `RoleAuthorization.getRole()`